Re: 9.21.624p7 upgrade issue on AIX (184 Views)
Reply
Regular Advisor
Metin INAN_1
Posts: 192
Registered: ‎11-10-2005
Message 1 of 6 (219 Views)

9.21.624p7 upgrade issue on AIX

Hi,

 

I upgraded my system (AIX 6.1) from 9.21.558 to 9.21.624p7 including jre7 upgrade.However sm server is not running as expected.I got following error:

 

13697152(49348731) 11/22/2013 08:13:48 RTE E Could not load module /sm_mcm_dev02/sm/RUN/jre/bin/j9vm/libjvm.so.
System error: Exec format error
13697152(49348731) 11/22/2013 08:13:48 RTE E Could not load shared library /sm_mcm_dev02/sm/RUN/jre/bin/j9vm/libjvm.so
13697152(49348731) 11/22/2013 08:13:48 RTE E Could not load module /sm_mcm_dev02/sm/RUN/jre/bin/j9vm/libjvm.so.
System error: Exec format error
13697152(49348731) 11/22/2013 08:13:48 RTE E Error! Unable to load jvm.dll from /sm_mcm_dev02/sm/RUN/jre/bin/j9vm/libjvm.so
13697152(49348731) 11/22/2013 08:13:48 RTE E Error! CreateJavaVM() failed! rc = -1

 

any ideas ?

 

regards,

Honored Contributor
Piku
Posts: 4,046
Registered: ‎06-17-2010
Message 2 of 6 (198 Views)

Re: 9.21.624p7 upgrade issue on AIX

Hi,

Either SM should be running or not at all. There could not possibility of half run in such errors.
However check whether you have the correct jre version on system i.e. java7 . And there must be link to the this jre directory in installation folder of SM, that is, in RUN directory, link should be like /opt/java7/jre.
Also variable like $JAVA_HOME and PATH variable must be update to new one.


hth,
~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
Assign Kudo, if found post useful and mark it accepted if solves the issue.
http://h30499.www3.hp.com/t5/Tips-and-Tricks/Kudos-what-where-how-and-why/m-p/5677925#U5677925
Regular Advisor
Metin INAN_1
Posts: 192
Registered: ‎11-10-2005
Message 3 of 6 (197 Views)

Re: 9.21.624p7 upgrade issue on AIX

Hi,

 

right,it's not running.jre version 7 and  link exists.PATH is ok,too except there is no JAVA_HOME.However this system was working on jre6 without JAVA_HOME is set.

 

regards,

Honored Contributor
Piku
Posts: 4,046
Registered: ‎06-17-2010
Message 4 of 6 (194 Views)

Re: 9.21.624p7 upgrade issue on AIX

Hi,

can not say why it was running but it should be there.
Also are you have to access these files manually form Sm user on that server?
Also is java7 properly installed as i can see this file(libjvm.so) must in lib path of jre.

Search your java directory for this file.

hth
~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
Assign Kudo, if found post useful and mark it accepted if solves the issue.
http://h30499.www3.hp.com/t5/Tips-and-Tricks/Kudos-what-where-how-and-why/m-p/5677925#U5677925
Honored Contributor
Jas1
Posts: 423
Registered: ‎04-05-2010
Message 5 of 6 (190 Views)

Re: 9.21.624p7 upgrade issue on AIX

Make sure your new jre7 is 32bit version and not 64bit version. SM is still a 32bit version.

Regular Advisor
Metin INAN_1
Posts: 192
Registered: ‎11-10-2005
Message 6 of 6 (184 Views)

Re: 9.21.624p7 upgrade issue on AIX

I will give it a try.thanks.
The opinions expressed above are the personal opinions of the authors, not of HP. By using this site, you accept the Terms of Use and Rules of Participation.